Skip to content
Get started

Markets

Get market overview
markets.get_overview(MarketGetOverviewParams**kwargs) -> MarketGetOverviewResponse
GET/api/v1/markets
Get market params
markets.get_params(MarketGetParamsParams**kwargs) -> MarketGetParamsResponse
GET/api/v1/markets/config
Get lend/collateral/debt grouped by asset
markets.get_merged(MarketGetMergedParams**kwargs) -> MarketGetMergedResponse
GET/api/v1/markets/merged
Lookup merged market data by asset
markets.get_merged_by_asset(MarketGetMergedByAssetParams**kwargs) -> MarketGetMergedByAssetResponse
GET/api/v1/markets/merged/lookup
ModelsExpand Collapse
class GlobalMarketConfig:
dynamic_discount_width: str

The required change in account health below 1.0 to achieve the maximum discount. should be ~= 0.02 must be <= 1.0

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

flash_loan_fee: str
liquidation_fee: str
stake_collateral_ratio: str
stake_flash_loan_ratio: str
staking_health_modifier: str
time_window_nanos: str
flash_loan_fee: str

The coefficient used to calculate the flash loan fee. should be ~= 0.01 must be <= 1.0

flash_loans_enabled: bool

Whether flash loans are enabled or not

hinj: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
liquidation_fee: str

The coefficient use to calculate the liquidation protocol fee. should be ~= 0.01 must be <= 1.0

nept: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
partial_liquidation_threshold: str

Minimum account value to avoid complete liquidation.

stake_collateral_ratio: str

The required ratio of weighted staked NEPT to collateral value to obtain the maximum staking health modifier. should be ~= 0.1 must be <= 1.0

stake_flash_loan_ratio: str

The required ratio of weighted staked NEPT to flash loan value should be ~= 0.05 must be <= 1.0

staking_health_modifier: str

The maximum health increase provided by staking. should be ~= 0.05 and must be <= 1.0

target_liquidation_health: str

The account health target for a liquidation. should be ~= 1.02 must be >= 1.0

time_window_nanos: int

Number of nanoseconds that an oracle price is valid for.

formatuint64
minimum0
class MarketRate:
apr: str

Market rate in APR standard as a decimal percentage

apy: str

Market rate in APY standard as a decimal percentage

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

apr: str
apy: str
class MergedMarket:

Data for all of an assets markets

asset_info: AssetInfo

Asset identifiers with associated metadata

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
class Regular:
kind: Literal["regular"]
neptune_receipt_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class NeptuneReceiptToken:
kind: Literal["neptune_receipt_token"]
origin_asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class LiquidStakingToken:
kind: Literal["liquid_staking_token"]
origin_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
metadata: AssetMetadata

Additional metadata for assets

decimals_denom: int

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: int

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: str

Full name of the asset

symbol: str

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: str

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

borrow_collateral: Optional[BorrowCollateralMarketData]

Info for asset as collateral for borrow market, if one exists

Collateral configuration parameters

allowable_ltv: str

The loan to value ratio at which we allow collateral withdrawals or borrows.

collateral_cap: Optional[str]

The optional, global/shared maximum deposit limit for this collateral.

enabled: bool

Collateral enabled state

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

allowable_ltv: str
collateral_cap: str
liquidation_ltv: str
max_discount: str
min_discount: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

collateral_cap: Optional[str]
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

collateral_cap: Optional[str]
price: Optional[str]

Text representation of price

price: str

Price used in value calculations

liquidation_ltv: str

The loan to value ratio at which the collateral can be liquidated.

max_discount: str

The maximum dynamic discount

min_discount: str

The minimum dynamic discount.

Current collateral state

balance: str
collateral_sum: str

Total amount of this asset which is actively collateralized

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

collateral_sum: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

collateral_sum: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

collateral_sum: str
price: str

Text representation of price

price: str

Price used in value calculations

borrow_debt: Optional[BorrowDebtMarketData]

Info for asset as debt for borrow market, if one exists

Debt market configuration parameters

borrow_cap: Optional[str]

The global max amount which can be borrowed

borrow_halt_utilization: str

The maximum utilization ratio at which new borrow positions can be opened.

enabled: bool

Market enabled state

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

borrow_cap: str
borrow_halt_utilization: str
interest_fee: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

borrow_cap: Optional[str]
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

borrow_cap: Optional[str]
price: Optional[str]

Text representation of price

price: str

Price used in value calculations

interest_fee: str

The protocol (base) interest rate that is charged to borrowers.

Market rates

apr: str

Market rate in APR standard as a decimal percentage

apy: str

Market rate in APY standard as a decimal percentage

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

apr: str
apy: str

Current debt market state

balance_sum: str
extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

balance_sum: str
principal_sum: str
time_last_distributed_interest: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

balance_sum: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

balance_sum: str
price: str

Text representation of price

principal_sum: str
price: str

Price used in value calculations

principal_sum: str
principal_sum: str
time_last_distributed_interest: datetime

Timestamp used to keep track of the last time interest was distributed.

formatdate-time
utilization_accumulator: str

Asset utilization tracker.

lend: Optional[LendMarketData]

Info for asset's lending market, if one exists

Lending market rates

apr: str

Market rate in APR standard as a decimal percentage

apy: str

Market rate in APY standard as a decimal percentage

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

apr: str
apy: str

Current lending market state

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

principal_sum: str
receipt_total_supply: str
redemption_ratio: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: str

Text representation of price

principal_sum: str
price: str

Price used in value calculations

principal_sum: str
principal_sum: str

The total amount of the asset deposited for lending in the market.

receipt_total_supply: str
redemption_ratio: str

MarketsLend

Get lending markets
markets.lend.list(LendListParams**kwargs) -> LendListResponse
GET/api/v1/markets/lend
Lookup lending market by asset
markets.lend.get_by_asset(LendGetByAssetParams**kwargs) -> LendGetByAssetResponse
GET/api/v1/markets/lend/lookup
Get historical lending rates for assets
markets.lend.get_rate_history(LendGetRateHistoryParams**kwargs) -> LendGetRateHistoryResponse
GET/api/v1/markets/lend/rate-history
ModelsExpand Collapse
class LendMarket:

Lending market overview

asset_info: AssetInfo

Asset identifiers with associated metadata

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
class Regular:
kind: Literal["regular"]
neptune_receipt_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class NeptuneReceiptToken:
kind: Literal["neptune_receipt_token"]
origin_asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class LiquidStakingToken:
kind: Literal["liquid_staking_token"]
origin_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
metadata: AssetMetadata

Additional metadata for assets

decimals_denom: int

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: int

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: str

Full name of the asset

symbol: str

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: str

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

Lending market rates

apr: str

Market rate in APR standard as a decimal percentage

apy: str

Market rate in APY standard as a decimal percentage

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

apr: str
apy: str

Current lending market state

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

principal_sum: str
receipt_total_supply: str
redemption_ratio: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: str

Text representation of price

principal_sum: str
price: str

Price used in value calculations

principal_sum: str
principal_sum: str

The total amount of the asset deposited for lending in the market.

receipt_total_supply: str
redemption_ratio: str
class LendMarketData:

Lending market rates

apr: str

Market rate in APR standard as a decimal percentage

apy: str

Market rate in APY standard as a decimal percentage

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

apr: str
apy: str

Current lending market state

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

principal_sum: str
receipt_total_supply: str
redemption_ratio: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: str

Text representation of price

principal_sum: str
price: str

Price used in value calculations

principal_sum: str
principal_sum: str

The total amount of the asset deposited for lending in the market.

receipt_total_supply: str
redemption_ratio: str
class LendMarketState:
extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

principal_sum: str
receipt_total_supply: str
redemption_ratio: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: str

Text representation of price

principal_sum: str
price: str

Price used in value calculations

principal_sum: str
principal_sum: str

The total amount of the asset deposited for lending in the market.

receipt_total_supply: str
redemption_ratio: str

MarketsBorrow

Get borrowing market overview
markets.borrow.get_overview(BorrowGetOverviewParams**kwargs) -> BorrowGetOverviewResponse
GET/api/v1/markets/borrow
Get historical borrowing rates for assets
markets.borrow.get_rate_history(BorrowGetRateHistoryParams**kwargs) -> BorrowGetRateHistoryResponse
GET/api/v1/markets/borrow/rate-history
ModelsExpand Collapse
class BorrowMarketOverview:
collaterals: List[BorrowCollateralMarket]

Borrowing collateral markets

asset_info: AssetInfo

Asset identifiers with associated metadata

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
class Regular:
kind: Literal["regular"]
neptune_receipt_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class NeptuneReceiptToken:
kind: Literal["neptune_receipt_token"]
origin_asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class LiquidStakingToken:
kind: Literal["liquid_staking_token"]
origin_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
metadata: AssetMetadata

Additional metadata for assets

decimals_denom: int

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: int

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: str

Full name of the asset

symbol: str

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: str

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

Collateral configuration parameters

allowable_ltv: str

The loan to value ratio at which we allow collateral withdrawals or borrows.

collateral_cap: Optional[str]

The optional, global/shared maximum deposit limit for this collateral.

enabled: bool

Collateral enabled state

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

allowable_ltv: str
collateral_cap: str
liquidation_ltv: str
max_discount: str
min_discount: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

collateral_cap: Optional[str]
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

collateral_cap: Optional[str]
price: Optional[str]

Text representation of price

price: str

Price used in value calculations

liquidation_ltv: str

The loan to value ratio at which the collateral can be liquidated.

max_discount: str

The maximum dynamic discount

min_discount: str

The minimum dynamic discount.

Current collateral state

balance: str
collateral_sum: str

Total amount of this asset which is actively collateralized

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

collateral_sum: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

collateral_sum: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

collateral_sum: str
price: str

Text representation of price

price: str

Price used in value calculations

debts: List[BorrowDebtMarket]

Borrowing debt markets

asset_info: AssetInfo

Asset identifiers with associated metadata

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
class Regular:
kind: Literal["regular"]
neptune_receipt_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class NeptuneReceiptToken:
kind: Literal["neptune_receipt_token"]
origin_asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class LiquidStakingToken:
kind: Literal["liquid_staking_token"]
origin_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
metadata: AssetMetadata

Additional metadata for assets

decimals_denom: int

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: int

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: str

Full name of the asset

symbol: str

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: str

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

Debt market configuration parameters

borrow_cap: Optional[str]

The global max amount which can be borrowed

borrow_halt_utilization: str

The maximum utilization ratio at which new borrow positions can be opened.

enabled: bool

Market enabled state

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

borrow_cap: str
borrow_halt_utilization: str
interest_fee: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

borrow_cap: Optional[str]
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

borrow_cap: Optional[str]
price: Optional[str]

Text representation of price

price: str

Price used in value calculations

interest_fee: str

The protocol (base) interest rate that is charged to borrowers.

Market rates

apr: str

Market rate in APR standard as a decimal percentage

apy: str

Market rate in APY standard as a decimal percentage

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

apr: str
apy: str

Current debt market state

balance_sum: str
extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

balance_sum: str
principal_sum: str
time_last_distributed_interest: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

balance_sum: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

balance_sum: str
price: str

Text representation of price

principal_sum: str
price: str

Price used in value calculations

principal_sum: str
principal_sum: str
time_last_distributed_interest: datetime

Timestamp used to keep track of the last time interest was distributed.

formatdate-time
utilization_accumulator: str

Asset utilization tracker.

MarketsBorrowCollaterals

Get borrowing collateral markets
markets.borrow.collaterals.list(CollateralListParams**kwargs) -> CollateralListResponse
GET/api/v1/markets/borrow/collaterals
Lookup borrowing market collateral by asset
markets.borrow.collaterals.get_by_asset(CollateralGetByAssetParams**kwargs) -> CollateralGetByAssetResponse
GET/api/v1/markets/borrow/collaterals/lookup
ModelsExpand Collapse
class BorrowCollateralConfig:
allowable_ltv: str

The loan to value ratio at which we allow collateral withdrawals or borrows.

collateral_cap: Optional[str]

The optional, global/shared maximum deposit limit for this collateral.

enabled: bool

Collateral enabled state

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

allowable_ltv: str
collateral_cap: str
liquidation_ltv: str
max_discount: str
min_discount: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

collateral_cap: Optional[str]
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

collateral_cap: Optional[str]
price: Optional[str]

Text representation of price

price: str

Price used in value calculations

liquidation_ltv: str

The loan to value ratio at which the collateral can be liquidated.

max_discount: str

The maximum dynamic discount

min_discount: str

The minimum dynamic discount.

class BorrowCollateralMarket:

Borrowing market, collateral info

asset_info: AssetInfo

Asset identifiers with associated metadata

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
class Regular:
kind: Literal["regular"]
neptune_receipt_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class NeptuneReceiptToken:
kind: Literal["neptune_receipt_token"]
origin_asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class LiquidStakingToken:
kind: Literal["liquid_staking_token"]
origin_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
metadata: AssetMetadata

Additional metadata for assets

decimals_denom: int

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: int

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: str

Full name of the asset

symbol: str

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: str

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

Collateral configuration parameters

allowable_ltv: str

The loan to value ratio at which we allow collateral withdrawals or borrows.

collateral_cap: Optional[str]

The optional, global/shared maximum deposit limit for this collateral.

enabled: bool

Collateral enabled state

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

allowable_ltv: str
collateral_cap: str
liquidation_ltv: str
max_discount: str
min_discount: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

collateral_cap: Optional[str]
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

collateral_cap: Optional[str]
price: Optional[str]

Text representation of price

price: str

Price used in value calculations

liquidation_ltv: str

The loan to value ratio at which the collateral can be liquidated.

max_discount: str

The maximum dynamic discount

min_discount: str

The minimum dynamic discount.

Current collateral state

balance: str
collateral_sum: str

Total amount of this asset which is actively collateralized

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

collateral_sum: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

collateral_sum: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

collateral_sum: str
price: str

Text representation of price

price: str

Price used in value calculations

class BorrowCollateralMarketData:

Collateral configuration parameters

allowable_ltv: str

The loan to value ratio at which we allow collateral withdrawals or borrows.

collateral_cap: Optional[str]

The optional, global/shared maximum deposit limit for this collateral.

enabled: bool

Collateral enabled state

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

allowable_ltv: str
collateral_cap: str
liquidation_ltv: str
max_discount: str
min_discount: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

collateral_cap: Optional[str]
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

collateral_cap: Optional[str]
price: Optional[str]

Text representation of price

price: str

Price used in value calculations

liquidation_ltv: str

The loan to value ratio at which the collateral can be liquidated.

max_discount: str

The maximum dynamic discount

min_discount: str

The minimum dynamic discount.

Current collateral state

balance: str
collateral_sum: str

Total amount of this asset which is actively collateralized

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

collateral_sum: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

collateral_sum: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

collateral_sum: str
price: str

Text representation of price

price: str

Price used in value calculations

class BorrowCollateralState:
balance: str
collateral_sum: str

Total amount of this asset which is actively collateralized

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

collateral_sum: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

collateral_sum: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

collateral_sum: str
price: str

Text representation of price

price: str

Price used in value calculations

MarketsBorrowDebts

Get borrowing debt markets
markets.borrow.debts.list(DebtListParams**kwargs) -> DebtListResponse
GET/api/v1/markets/borrow/debts
Lookup borrowing debt market by asset
markets.borrow.debts.get_by_asset(DebtGetByAssetParams**kwargs) -> DebtGetByAssetResponse
GET/api/v1/markets/borrow/debts/lookup
ModelsExpand Collapse
class BorrowDebtConfig:
borrow_cap: Optional[str]

The global max amount which can be borrowed

borrow_halt_utilization: str

The maximum utilization ratio at which new borrow positions can be opened.

enabled: bool

Market enabled state

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

borrow_cap: str
borrow_halt_utilization: str
interest_fee: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

borrow_cap: Optional[str]
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

borrow_cap: Optional[str]
price: Optional[str]

Text representation of price

price: str

Price used in value calculations

interest_fee: str

The protocol (base) interest rate that is charged to borrowers.

class BorrowDebtMarket:

Borrowing market, debt info

asset_info: AssetInfo

Asset identifiers with associated metadata

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
class Regular:
kind: Literal["regular"]
neptune_receipt_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class NeptuneReceiptToken:
kind: Literal["neptune_receipt_token"]
origin_asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class LiquidStakingToken:
kind: Literal["liquid_staking_token"]
origin_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
metadata: AssetMetadata

Additional metadata for assets

decimals_denom: int

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: int

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: str

Full name of the asset

symbol: str

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: str

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

Debt market configuration parameters

borrow_cap: Optional[str]

The global max amount which can be borrowed

borrow_halt_utilization: str

The maximum utilization ratio at which new borrow positions can be opened.

enabled: bool

Market enabled state

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

borrow_cap: str
borrow_halt_utilization: str
interest_fee: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

borrow_cap: Optional[str]
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

borrow_cap: Optional[str]
price: Optional[str]

Text representation of price

price: str

Price used in value calculations

interest_fee: str

The protocol (base) interest rate that is charged to borrowers.

Market rates

apr: str

Market rate in APR standard as a decimal percentage

apy: str

Market rate in APY standard as a decimal percentage

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

apr: str
apy: str

Current debt market state

balance_sum: str
extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

balance_sum: str
principal_sum: str
time_last_distributed_interest: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

balance_sum: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

balance_sum: str
price: str

Text representation of price

principal_sum: str
price: str

Price used in value calculations

principal_sum: str
principal_sum: str
time_last_distributed_interest: datetime

Timestamp used to keep track of the last time interest was distributed.

formatdate-time
utilization_accumulator: str

Asset utilization tracker.

class BorrowDebtMarketData:

Debt market configuration parameters

borrow_cap: Optional[str]

The global max amount which can be borrowed

borrow_halt_utilization: str

The maximum utilization ratio at which new borrow positions can be opened.

enabled: bool

Market enabled state

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

borrow_cap: str
borrow_halt_utilization: str
interest_fee: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

borrow_cap: Optional[str]
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

borrow_cap: Optional[str]
price: Optional[str]

Text representation of price

price: str

Price used in value calculations

interest_fee: str

The protocol (base) interest rate that is charged to borrowers.

Market rates

apr: str

Market rate in APR standard as a decimal percentage

apy: str

Market rate in APY standard as a decimal percentage

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

apr: str
apy: str

Current debt market state

balance_sum: str
extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

balance_sum: str
principal_sum: str
time_last_distributed_interest: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

balance_sum: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

balance_sum: str
price: str

Text representation of price

principal_sum: str
price: str

Price used in value calculations

principal_sum: str
principal_sum: str
time_last_distributed_interest: datetime

Timestamp used to keep track of the last time interest was distributed.

formatdate-time
utilization_accumulator: str

Asset utilization tracker.

class BorrowDebtState:
balance_sum: str
extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

balance_sum: str
principal_sum: str
time_last_distributed_interest: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

balance_sum: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

balance_sum: str
price: str

Text representation of price

principal_sum: str
price: str

Price used in value calculations

principal_sum: str
principal_sum: str
time_last_distributed_interest: datetime

Timestamp used to keep track of the last time interest was distributed.

formatdate-time
utilization_accumulator: str

Asset utilization tracker.